- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# nios_a_record – Configure Infoblox NIOS A records

New in version 2.7.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Adds and/or removes instances of A record objects from Infoblox NIOS servers. This module manages NIOS `record:a` objects using the Infoblox WAPI interface over REST.

## Requirements

The below requirements are needed on the host that executes this module.

- infoblox-client

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
comment - |  | Configures a text string comment to be associated with the instance of this object. The provided text string will be configured on the object instance.
extattrs - |  | Allows for the configuration of Extensible Attributes on the instance of the object. This argument accepts a set of key / value pairs for configuration.
ipv4addr - / required |  | Configures the IPv4 address for this A record. Users can dynamically allocate ipv4 address to A record by passing dictionary containing, nios_next_ip and CIDR network range. See example aliases: ipv4
name - / required |  | Specifies the fully qualified hostname to add or remove from the system
provider dictionary |  | A dict object containing connection details.
| host string / required |  | Specifies the DNS host name or address for connecting to the remote instance of NIOS WAPI over REST Value can also be specified using `INFOBLOX_HOST` environment variable.
| http_request_timeout integer | Default: 10 | The amount of time before to wait before receiving a response Value can also be specified using `INFOBLOX_HTTP_REQUEST_TIMEOUT` environment variable.
| max_results integer | Default: 1000 | Specifies the maximum number of objects to be returned, if set to a negative number the appliance will return an error when the number of returned objects would exceed the setting. Value can also be specified using `INFOBLOX_MAX_RESULTS` environment variable.
| max_retries integer | Default: 3 | Configures the number of attempted retries before the connection is declared usable Value can also be specified using `INFOBLOX_MAX_RETRIES` environment variable.
| password string |  | Specifies the password to use to authenticate the connection to the remote instance of NIOS. Value can also be specified using `INFOBLOX_PASSWORD` environment variable.
| username string |  | Configures the username to use to authenticate the connection to the remote instance of NIOS. Value can also be specified using `INFOBLOX_USERNAME` environment variable.
| validate_certs boolean | Choices: no ← yes | Boolean value to enable or disable verifying SSL certificates Value can also be specified using `INFOBLOX_SSL_VERIFY` environment variable. aliases: ssl_verify
| wapi_version string | Default: "2.1" | Specifies the version of WAPI to use Value can also be specified using `INFOBLOX_WAP_VERSION` environment variable. Until ansible 2.8 the default WAPI was 1.4
state - | Choices: present ← absent | Configures the intended state of the instance of the object on the NIOS server. When this value is set to `present`, the object is configured on the device and when this value is set to `absent` the value is removed (if necessary) from the device.
ttl - |  | Configures the TTL to be associated with this A record
view - / required | Default: "default" | Sets the DNS view to associate this A record with. The DNS view must already be configured on the system aliases: dns_view

## Notes

Note

- This module must be run locally, which can be achieved by specifying `connection: local`.
- Please read the Infoblox Guide for more detailed information on how to use Infoblox with Ansible.

## Examples

    - name: configure an A record
      nios_a_record:
        name: a.ansible.com
        ipv4: 192.168.10.1
        state: present
        provider:
          host: "{{ inventory_hostname_short }}"
          username: admin
          password: admin
      connection: local

    - name: add a comment to an existing A record
      nios_a_record:
        name: a.ansible.com
        ipv4: 192.168.10.1
        comment: this is a test comment
        state: present
        provider:
          host: "{{ inventory_hostname_short }}"
          username: admin
          password: admin
      connection: local

    - name: remove an A record from the system
      nios_a_record:
        name: a.ansible.com
        ipv4: 192.168.10.1
        state: absent
        provider:
          host: "{{ inventory_hostname_short }}"
          username: admin
          password: admin
      connection: local

    - name: update an A record name
      nios_a_record:
        name: {new_name: a_new.ansible.com, old_name: a.ansible.com}
        ipv4: 192.168.10.1
        state: present
        provider:
          host: "{{ inventory_hostname_short }}"
          username: admin
          password: admin
      connection: local

    - name: dynamically add a record to next available ip
      nios_a_record:
        name: a.ansible.com
        ipv4: {nios_next_ip: 192.168.10.0/24}
        state: present
        provider:
          host: "{{ inventory_hostname_short }}"
          username: admin
          password: admin
      connection: local

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Blair Rampling (@brampling)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.